Bug 91102 - pptp-conntrack-nat.patch missing in 2.4.20-13.8
pptp-conntrack-nat.patch missing in 2.4.20-13.8
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2003-05-18 10:30 EDT by Bruce Garlock
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-08 09:32:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bruce Garlock 2003-05-18 10:30:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3) Gecko/20030314

Description of problem:
I use RH 8 as a "homegrown" firewall.  After upgrading to the latest kernel
eratta from 2.4.18-27.8.0 to 2.4.20-13.8, my PPTP clients behind the firewall
can no longer connect to the PPTP server.  After checking out the kernel config
in 2.4.20-13.8 it appears the pptp-conntrack-nat option is not there anymore. 
Can you add this patch back in?  I will have to revert to 2.4.18-27.8.0 to get
this much needed feature in our environment.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Try to connect to PPTP server through firewall using RH8 with 


Actual Results:  May 18 10:29:36 linux pptp[1476]:
log[decaps_gre:pptp_gre.c:208]: read: Protocol not available
linux pptp[1474]: log[callmgr_main:pptp_callmgr.c:262]: Closing connection
May 18 10:29:37 linux pppd[1479]: Exit.

Expected Results:  NAT'ed PPTP clients should be able to connect through RH 8

Additional info:
Comment 1 Arjan van de Ven 2003-05-18 10:42:08 EDT
ehm even 2.4.18-X didn't have a pptp NAT patch
Comment 2 Bruce Garlock 2003-05-18 11:10:53 EDT
hmmm - my memory is coming back!  Yes, maybe I did patch the kernel to provide
this support.  Sorry 'bout that :-)  Does RH plan on providing this patch in the
future to the stock kernel?
Comment 3 Bruce Garlock 2003-05-19 11:47:35 EDT
I used "patch-o-matic" from netfilter.org to try and apply this patch to
2.4.20-13.8, and it fails.  It applies fine to my 2.4.18-27.8.0 kernel, since
that was working fine before the kernel upgrade.  Back to 2.4.18-27 until I can
get this working with a newer kernel.  Do you know which security patches need
to be applied to 2.4.18-27.8.0 to fix the DoS issue that 2.4.20-13.8 fixes?
Comment 4 Alan Cox 2003-06-08 09:32:44 EDT
Closing since this wasnt an RH bug in the end

Note You need to log in before you can comment on or make changes to this bug.